Package org.apache.lucene.index

## Class CheckIndex.Options

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Options

- Enclosing class:
    CheckIndex

      public static class CheckIndex.Options
      extends Object

  Run-time configuration options for CheckIndex commands.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options()` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDirImpl()` | Get the name of the FSDirectory implementation class to use.
    `String` | `getIndexPath()` | Get the directory containing the index.
    `void` | `setOut​(PrintStream out)` | Set the PrintStream to use for reporting results.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

      Sole constructor.

  - ### Method Detail

    - #### getDirImpl

          public String getDirImpl()

      Get the name of the FSDirectory implementation class to use.

    - #### getIndexPath

          public String getIndexPath()

      Get the directory containing the index.

    - #### setOut

          public void setOut​(PrintStream out)

      Set the PrintStream to use for reporting results.